DECLARE @PR棜楌No int
DECLARE @彜昳No int
DECLARE @屭媞No int
DECLARE @搊榐僗僞僢僼No int
DECLARE @峀崘No int
DECLARE @僾儘儌乕僔儑儞梊掕No int
DECLARE @僾儘儌乕僔儑儞幚愌No int
DECLARE @PR嬫暘No int
DECLARE @憤旓梡 int
DECLARE @懳徾彜昳憤悢 int
DECLARE @懳徾婛懚屭媞憤悢 int
DECLARE @桳岠擔悢撪偺憤攧忋 int
DECLARE @怴婯屭媞妉摼悢 int
DECLARE @尒崬屭媞妉摼悢 int
DECLARE @孈婲偟屭媞悢 int
DECLARE @峏怴僗僞僢僼No int
DECLARE @擭 int
DECLARE @擭寧 int
DECLARE @F int
DECLARE @M int
DECLARE @PR柤 varchar
DECLARE @峀崘柤 varchar
DECLARE @撪梕 varchar
DECLARE @扴摉幰柤 varchar
DECLARE @TEL varchar
DECLARE @FAX varchar
DECLARE @儊乕儖傾僪儗僗 varchar
DECLARE @URL varchar
DECLARE @旛峫 varchar
DECLARE @岞奐梊掕擔 datetime
DECLARE @岞奐幚巤擔 datetime
DECLARE @梊掕婜娫fr datetime
DECLARE @梊掕婜娫to datetime
DECLARE @岞奐梊掕擔fr datetime
DECLARE @岞奐梊掕擔to datetime
DECLARE @岞奐幚巤擔fr datetime
DECLARE @岞奐幚巤擔to datetime
DECLARE @幚巤婜娫fr datetime
DECLARE @幚巤婜娫to datetime
DECLARE @媥柊懳徾擔 datetime
DECLARE @斕攧擔帪fr datetime
DECLARE @斕攧擔帪to datetime

SET @PR棜楌No = 1
SET @彜昳No = 1
SET @屭媞No = 1
SET @搊榐僗僞僢僼No = 1
SET @峀崘No = 1
SET @僾儘儌乕僔儑儞梊掕No = 1
SET @僾儘儌乕僔儑儞幚愌No = 1
SET @PR嬫暘No = 1
SET @憤旓梡 = 1
SET @懳徾彜昳憤悢 = 1
SET @懳徾婛懚屭媞憤悢 = 1
SET @桳岠擔悢撪偺憤攧忋 = 1
SET @怴婯屭媞妉摼悢 = 1
SET @尒崬屭媞妉摼悢 = 1
SET @孈婲偟屭媞悢 = 1
SET @峏怴僗僞僢僼No = 1
SET @擭 = 1
SET @擭寧 = 1
SET @F = 1
SET @M = 1
SET @PR柤 = 'a'
SET @峀崘柤 = 'a'
SET @撪梕 = 'a'
SET @扴摉幰柤 = 'a'
SET @TEL = 'a'
SET @FAX = 'a'
SET @儊乕儖傾僪儗僗 = 'a'
SET @URL = 'a'
SET @旛峫 = 'a'
SET @岞奐梊掕擔 = '2002/1/11'
SET @岞奐幚巤擔 = '2002/1/11'
SET @幚巤婜娫fr = '2002/1/11'
SET @幚巤婜娫to = '2003/7/11'
SET @媥柊懳徾擔 = '2001/7/15'
SET @梊掕婜娫fr = '2001/7/15'
SET @梊掕婜娫to = '2001/7/15'
SET @岞奐梊掕擔fr = '2002/1/11'
SET @岞奐梊掕擔to = '2002/1/11'
SET @岞奐幚巤擔fr = '2002/1/11'
SET @岞奐幚巤擔to = '2002/1/11'
SET @斕攧擔帪fr = '2002/1/11'
SET @斕攧擔帪to = '2002/1/11'



---- Fill
--SELECT
--	慻怐No,
--	擭寧, 
--	屭媞No, 
--	F, 
--	M
--FROM
--	C11FM
--WHERE
--	慻怐No = @慻怐No
SELECT
	擭寧,
	屭媞No,
	F,
	M
FROM
	C11FM


---- DeleteALL
--DELETE FROM C11FM
--WHERE
--	慻怐No = @慻怐No
DELETE FROM C11FM


---- Scalar嵟彫昞帵擔帪
--SELECT
--	MIN(擭寧)
--FROM
--	C11FM
--WHERE
--	慻怐No = @慻怐No
SELECT
	MIN(擭寧)
FROM
	C11FM


---- Scalar嵟彫昞帵擔帪with擭
--SELECT
--	MIN(擭寧)
--FROM
--	C11FM
--WHERE
--	慻怐No = @慻怐No AND
--	YEAR(擭寧) = @擭
SELECT
	MIN(擭寧)
FROM
	C11FM
WHERE
	YEAR(擭寧) = @擭


---- Scalar嵟戝寧
--SELECT
--	MAX(MONTH(擭寧)) AS 寧
--FROM
--	C11FM
--WHERE
--	慻怐No = @慻怐No AND
--	YEAR(擭寧) = @擭
SELECT
	MAX(MONTH(擭寧)) AS 寧
FROM
	C11FM
WHERE
	YEAR(擭寧) = @擭


---- Scalar嵟戝擭
--SELECT
--	MAX(YEAR(擭寧)) AS 擭
--FROM
--	C11FM
--WHERE
--	慻怐No = @慻怐No
SELECT
	MAX(YEAR(擭寧)) AS 擭
FROM
	C11FM


---- Scalar嵟戝昞帵擔帪
--SELECT
--	MAX(擭寧)
--FROM
--	C11FM
--WHERE
--	慻怐No = @慻怐No
SELECT
	MAX(擭寧)
FROM
	C11FM


---- Scalar慜擭埲慜偺審悢
--SELECT
--	COUNT(擭寧)
--FROM
--	C11FM
--WHERE
--	慻怐No = @慻怐No AND
--	YEAR(擭寧) < @擭
SELECT
	COUNT(擭寧)
FROM
	C11FM
WHERE
	YEAR(擭寧) < @擭


---- Scalar昞帵懳徾寧悢
--SELECT
--	((YEAR(MAX(擭寧)) - YEAR(MIN(擭寧))) * 12) + (MONTH(MAX(擭寧)) - MONTH(MIN(擭寧)))
--FROM
--	C11FM
--WHERE
--	慻怐No = @慻怐No
SELECT
	((YEAR(MAX(擭寧)) - YEAR(MIN(擭寧))) * 12) + (MONTH(MAX(擭寧)) - MONTH(MIN(擭寧)))
FROM
	C11FM


---- Scalar昞帵懳徾寧悢with擭
--SELECT
--	((YEAR(MAX(擭寧)) - YEAR(MIN(擭寧))) * 12) + (MONTH(MAX(擭寧)) - MONTH(MIN(擭寧)))
--FROM
--	C11FM
--WHERE
--	慻怐No = @慻怐No AND
--	YEAR(擭寧) = @擭
SELECT
	((YEAR(MAX(擭寧)) - YEAR(MIN(擭寧))) * 12) + (MONTH(MAX(擭寧)) - MONTH(MIN(擭寧)))
FROM
	C11FM
WHERE
	YEAR(擭寧) = @擭


---- Scalar梻擭埲崀偺審悢
--SELECT
--	COUNT(擭寧)
--FROM
--	C11FM
--WHERE
--	慻怐No = @慻怐No AND
--	YEAR(擭寧) > @擭
SELECT
	COUNT(擭寧)
FROM
	C11FM
WHERE
	YEAR(擭寧) > @擭


---- InsertCommand
--INSERT INTO C11FM (
--	慻怐No,
--	擭寧, 
--	屭媞No, 
--	F, 
--	M
--) VALUES (
--	@慻怐No,
--	@擭寧, 
--	@屭媞No, 
--	@F, 
--	@M
--)
INSERT INTO C11FM (
	擭寧,
	屭媞No,
	F,
	M
) VALUES (
	@擭寧,
	@屭媞No,
	@F,
	@M
)




